<#comment><!--开始：获取关系视图参数--></#comment>
    /**
     * 获取关系视图参数
     * 
     * @param {*} [arg={}] 
     * @returns {*} 
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.getDRItemView = function(arg) {
        if (!arg) {
            arg={};
        }
        var drmode = arg.viewid;
        if (!drmode) {
            drmode = '';
        }
        <#list view.getAppViewRefModes() as viewref>
        <#if (viewref?index_of("DRITEM:")==0)>
        <#assign newdataview=view.getRefPSAppView(viewref,true) >
        <#assign newdataviewref=view.getPSAppViewRef(viewref,true) >
        if (Object.is(drmode.toUpperCase(), '${viewref?substring(7)?upper_case}')) {
            return { 
				routepath: '${newdataview.getPSAppModule().codeName?lower_case}_${newdataview.codeName?lower_case}',
                viewname: '${filename('${newdataview.codeName}')}',
                modalviewname: '${filename('${newdataview.codeName}')}_modalview',
                viewurl: '/pages/${filename('${newdataview.getPSAppModule().codeName}')}/${filename('${newdataview.codeName}')}/${filename('${newdataview.codeName}')}.html#/${filename('${newdataview.codeName}')}'
				<#if (newdataview.getSubAppFolderName()??)>,subapp:'${newdataview.getSubAppFolderName()}'</#if>,embedviewid:'${newdataviewref.getEmbedId()}'<#if newdataviewref.getViewParam()??>,viewparam:${newdataviewref.getViewParam().toString()}</#if>};
        }
        </#if>
        </#list>
        return undefined;
    }
    <#comment><!--结束：获取关系视图参数--></#comment>
    <#comment><!--开始：是否隐藏表单--></#comment>
    <#if view.isHideEditForm()>

    /**
     * 是否隐藏编辑表单
     * 
     * @returns {boolean} 
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.isHideEditForm = function() {
        return true;
    }
    </#if>
    <#comment><!--结束：是否隐藏表单--></#comment>